package com.jiuqi.db.impl;

import com.jiuqi.db.DBFunction;
import com.jiuqi.util.DateUtil;
import java.util.Date;

/* loaded from: com_jiuqi_db_impl.jar:com/jiuqi/db/impl/SybaseDBFunction.class */
public class SybaseDBFunction extends DBFunction {
    private static final String STR_LINK_SYMBOL = "||";
    private static final String FUNC_NAME_CEILING = "CEILING";
    private static final String FUNC_NAME_LN = "LN";
    private static final String FUNC_NAME_LOG10 = "LOG10";
    private static final String FUNC_NAME_CHR = "CHAR";
    private static final String FUNC_NAME_POS = "CHARINDEX";
    private static final String FUNC_NAME_LEFT = "LEFT";
    private static final String FUNC_NAME_RIGHT = "RIGHT";
    private static final String FUNC_NAME_SUBSTR = "SUBSTRING";
    private static final String FUNC_NAME_LEN = "DATALENGTH";
    private static final String FUNC_NAME_MOD = "MOD";
    private static final String FUNC_NAME_STR = "STR";
    private static final String FUNC_NAME_VAL = "DOUBLE";

    public String strLinkSymbol() {
        return STR_LINK_SYMBOL;
    }

    public boolean supportEmptyString() {
        return false;
    }

    public String ceiling(String numeric_expression) {
        return format(FUNC_NAME_CEILING, numeric_expression);
    }

    public String ln(String numeric_expression) {
        return format(FUNC_NAME_LN, numeric_expression);
    }

    public String log10(String numeric_expression) {
        return format(FUNC_NAME_LOG10, numeric_expression);
    }

    public String mod(String numeric_expression1, String numeric_expression2) {
        return format(FUNC_NAME_MOD, numeric_expression1, numeric_expression2);
    }

    public String chr(String int_expression) {
        return format(FUNC_NAME_CHR, int_expression);
    }

    public String pos(String substr_expression, String str_expression) {
        return format(FUNC_NAME_POS, str_expression, substr_expression);
    }

    public String left(String str_expression, String length_expression) {
        return format(FUNC_NAME_LEFT, str_expression, length_expression);
    }

    public String right(String str_expression, String length_expression) {
        return format(FUNC_NAME_RIGHT, str_expression, length_expression);
    }

    public String str(String numeric_expression) {
        return format(FUNC_NAME_STR, numeric_expression);
    }

    public String substr(String str_expression, String from_expression, String length_expression) {
        return format(FUNC_NAME_SUBSTR, str_expression, from_expression, length_expression);
    }

    public String len(String str_expression) {
        return format(FUNC_NAME_LEN, str_expression);
    }

    public String val(String str_expression) {
        return format(FUNC_NAME_VAL, str_expression);
    }

    public String date(Date dateVal) {
        return "'" + DateUtil.convertDateToString1(dateVal) + "'";
    }
}
